大小写惹得祸:Git客户端中曝出高危漏洞

Git官方近日发布一条重要消息,所有官方版本的Git客户端都存在高危漏洞,包括GitHub Windows 和Mac客户端。因为该漏洞只存在于客户端中,所以github.com和GitHub企业版不会受到直接的影响。

大小写惹得祸

这个漏洞源于对大小写不敏感或者不区分大小写的文件系统。比如攻击者可以建立一个恶意的Git树使git/config被覆盖,从而修改Git仓库中的代码。

OS X(HFS+)或任何Windows(NTFS,FAT)版本的GitHub客户端上都存在这一问题。对于Linux客户端,如果它的文件系统对字母大小写敏感,那么它就不受此漏洞的影响。

Git官方强烈建议所有GitHub用户和企业尽快更新客户端。同时如果用户访问代码副本托管在不安全或者不受信任主机上的Git库时,一定要格外小心。

官方公告

Git官方称,当下托管在github.com官网上的库中是不可能包含恶意程序的,因为在托管时其已经进行了严格的检查。

Git官方还建议所有GitHub用户都应该立即更新他们的GitHub应用程序,不仅限于Windows和Mac用户,网页版用户也同样需要。

以下GitHub版本中不包含该漏洞:

V1.8.5.6
V1.9.5(专门针对Windows用户)
V2.0.5
V2.1.4
V2.2.1

[参考来源github.com]

标签: 无
返回文章列表 文章二维码
本页链接的二维码
打赏二维码